5b2aa947ce7190aef4ac4cb7cee8528ed3ab3387
[scilab.git] / scilab / modules / optimization / Makefile.in
1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 ##########
18 ### Sylvestre Ledru <sylvestre.ledru@inria.fr>
19 ### INRIA - Scilab 2006
20 ##########
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # This file must be used under the terms of the CeCILL.
27 # This source file is licensed as described in the file COPYING, which
28 # you should have received as part of this distribution.  The terms
29 # are also available at
30 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
31 #
32
33 ##########
34 ### Makefile included stuff
35 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
36 ##########
37
38
39
40 VPATH = @srcdir@
41 pkgdatadir = $(datadir)/@PACKAGE@
42 pkglibdir = $(libdir)/@PACKAGE@
43 pkgincludedir = $(includedir)/@PACKAGE@
44 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
45 install_sh_DATA = $(install_sh) -c -m 644
46 install_sh_PROGRAM = $(install_sh) -c
47 install_sh_SCRIPT = $(install_sh) -c
48 INSTALL_HEADER = $(INSTALL_DATA)
49 transform = $(program_transform_name)
50 NORMAL_INSTALL = :
51 PRE_INSTALL = :
52 POST_INSTALL = :
53 NORMAL_UNINSTALL = :
54 PRE_UNINSTALL = :
55 POST_UNINSTALL = :
56 build_triplet = @build@
57 host_triplet = @host@
58 @USE_EMBEDDED_LAPACK_TRUE@am__append_1 = $(top_builddir)/libs/lapack/libscilapack.la
59 @USE_EMBEDDED_BLAS_TRUE@am__append_2 = $(top_builddir)/libs/blas/libsciblas.la
60 DIST_COMMON = $(libscioptimization_la_include_HEADERS) \
61         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
62         $(top_srcdir)/Makefile.incl.am
63 @GUI_TRUE@am__append_3 = java
64 @SWIG_TRUE@am__append_4 = swig
65 @GIWS_TRUE@am__append_5 = giws
66 subdir = modules/optimization
67 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
68 am__aclocal_m4_deps = $(top_srcdir)/m4/fftw.m4 \
69         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
70         $(top_srcdir)/m4/intel_compiler.m4 $(top_srcdir)/m4/java.m4 \
71         $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/libs_by_debian.m4 \
72         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
73         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/matio.m4 \
74         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
75         $(top_srcdir)/m4/pvm.m4 $(top_srcdir)/m4/relocatable.m4 \
76         $(top_srcdir)/m4/sciman.m4 $(top_srcdir)/m4/swig.m4 \
77         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
78         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
79 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
80         $(ACLOCAL_M4)
81 mkinstalldirs = $(install_sh) -d
82 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
83 CONFIG_CLEAN_FILES =
84 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
85 am__vpath_adj = case $$p in \
86     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
87     *) f=$$p;; \
88   esac;
89 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
90 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
91         "$(DESTDIR)$(libscioptimization_la_etcdir)" \
92         "$(DESTDIR)$(libscioptimization_la_rootdir)" \
93         "$(DESTDIR)$(libscioptimization_la_sci_gatewaydir)" \
94         "$(DESTDIR)$(libscioptimization_la_demosdir)" \
95         "$(DESTDIR)$(libscioptimization_la_includedir)"
96 pkglibLTLIBRARIES_INSTALL = $(INSTALL)
97 LTLIBRARIES = $(pkglib_LTLIBRARIES)
98 libscioptimization_la_DEPENDENCIES =  \
99         $(top_builddir)/modules/core/libscicore.la \
100         $(top_builddir)/modules/elementary_functions/libscielementary_functions.la \
101         $(top_builddir)/modules/dynamic_link/libscidynamic_link.la \
102         $(top_builddir)/modules/arnoldi/libsciarnoldi.la \
103         $(top_builddir)/modules/string/libscistring.la \
104         $(top_builddir)/modules/output_stream/libscioutput_stream.la \
105         $(am__append_1) $(am__append_2)
106 am__objects_1 = libscioptimization_la-intqld.lo \
107         libscioptimization_la-sp.lo \
108         libscioptimization_la-fsolvetable.lo \
109         libscioptimization_la-lsqrsolvtable.lo \
110         libscioptimization_la-optimtable.lo
111 am__objects_2 = qrfac.lo gcbd.lo qpgen2.lo n1qn2a.lo dogleg.lo \
112         fuclid.lo fmc11b.lo ql0001.lo shanph.lo fajc1.lo majysa.lo \
113         fdjac2.lo icsei.lo majour.lo n1qn1.lo hybrj1.lo n1qn1a.lo \
114         n1qn3.lo fmc11z.lo icse0.lo icse2.lo fmuls1.lo icsec2.lo \
115         gcp.lo n1fc1a.lo n1gc2.lo proj.lo n1gc2a.lo ddd2.lo fremf2.lo \
116         dcube.lo fcube.lo bfgsd.lo fcomp1.lo fmulb1.lo qrsolv.lo \
117         n1fc1o.lo relvar.lo satur.lo strang.lo hybrd.lo fmc11a.lo \
118         fmani1.lo fmc11e.lo hybrj.lo zqnbd.lo r1updt.lo ajour.lo \
119         dpmpar.lo fretc1.lo qnbd.lo nlis0.lo nlis2.lo fdjac1.lo \
120         hybrd1.lo lmdif.lo n1qn2.lo majz.lo n1qn3a.lo frdf1.lo \
121         lmder.lo icse1.lo ctonb.lo icscof.lo fmlag1.lo fpq2.lo \
122         n1fc1.lo ffinf1.lo lmpar.lo ctcab.lo n1gc2b.lo fprf2.lo \
123         fremf1.lo enorm.lo icse.lo rlbd.lo qform.lo calmaj.lo calbx.lo \
124         r1mpyq.lo rednor.lo zgcbd.lo writebuf.lo dpofa.lo qpgen1sci.lo \
125         util.lo
126 am__objects_3 = libscioptimization_la-sci_semidef.lo \
127         libscioptimization_la-sci_qld.lo \
128         libscioptimization_la-gw_optimization.lo \
129         libscioptimization_la-sci_optim.lo \
130         libscioptimization_la-sci_fsolv.lo \
131         libscioptimization_la-sci_sqrsolve.lo \
132         libscioptimization_la-sci_qp_solve.lo
133 am__objects_4 = sci_f_semidef.lo sci_f_fsolve.lo sci_f_optim.lo \
134         boptim.lo bsolv.lo bjlsqrsolv.lo blsqrsolv.lo bjsolv.lo \
135         intlsqrsolve.lo Ex-optim.lo Ex-fsolve.lo Ex-lsqrsolve.lo
136 am_libscioptimization_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
137         $(am__objects_3) $(am__objects_4)
138 libscioptimization_la_OBJECTS = $(am_libscioptimization_la_OBJECTS)
139 libscioptimization_la_LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) \
140         $(LIBTOOLFLAGS) --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) \
141         $(libscioptimization_la_LDFLAGS) $(LDFLAGS) -o $@
142 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
143 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
144 am__depfiles_maybe = depfiles
145 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
146         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
147 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
148         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
149         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
150 CCLD = $(CC)
151 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
152         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
153         $(LDFLAGS) -o $@
154 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
155 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
156         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
157 F77LD = $(F77)
158 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
159         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
160         $(LDFLAGS) -o $@
161 SOURCES = $(libscioptimization_la_SOURCES)
162 DIST_SOURCES = $(libscioptimization_la_SOURCES)
163 libscioptimization_la_etcDATA_INSTALL = $(INSTALL_DATA)
164 libscioptimization_la_rootDATA_INSTALL = $(INSTALL_DATA)
165 libscioptimization_la_sci_gatewayDATA_INSTALL = $(INSTALL_DATA)
166 nobase_libscioptimization_la_demosDATA_INSTALL = $(install_sh_DATA)
167 DATA = $(libscioptimization_la_etc_DATA) \
168         $(libscioptimization_la_root_DATA) \
169         $(libscioptimization_la_sci_gateway_DATA) \
170         $(nobase_libscioptimization_la_demos_DATA)
171 libscioptimization_la_includeHEADERS_INSTALL = $(INSTALL_HEADER)
172 HEADERS = $(libscioptimization_la_include_HEADERS)
173 ETAGS = etags
174 CTAGS = ctags
175 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
176 ACLOCAL = @ACLOCAL@
177 ALL_LINGUAS = @ALL_LINGUAS@
178 AMTAR = @AMTAR@
179 ANT = @ANT@
180 AR = @AR@
181 AUTOCONF = @AUTOCONF@
182 AUTOHEADER = @AUTOHEADER@
183 AUTOMAKE = @AUTOMAKE@
184 AWK = @AWK@
185 BATIK_PACKAGE = @BATIK_PACKAGE@
186 BLAS_LIBS = @BLAS_LIBS@
187 CC = @CC@
188 CCDEPMODE = @CCDEPMODE@
189 CFLAGS = @CFLAGS@
190 COMMONS_LOGGING = @COMMONS_LOGGING@
191 CPP = @CPP@
192 CPPFLAGS = @CPPFLAGS@
193 CXX = @CXX@
194 CXXCPP = @CXXCPP@
195 CXXDEPMODE = @CXXDEPMODE@
196 CXXFLAGS = @CXXFLAGS@
197 CYGPATH_W = @CYGPATH_W@
198 DEFS = @DEFS@
199 DEPDIR = @DEPDIR@
200 DSYMUTIL = @DSYMUTIL@
201 ECHO = @ECHO@
202 ECHO_C = @ECHO_C@
203 ECHO_N = @ECHO_N@
204 ECHO_T = @ECHO_T@
205 EGREP = @EGREP@
206 EXEEXT = @EXEEXT@
207 F77 = @F77@
208 FFLAGS = @FFLAGS@
209 FFTW3_LIB = @FFTW3_LIB@
210 FFTW_ENABLE = @FFTW_ENABLE@
211 FLEXDOCK = @FLEXDOCK@
212 FLIBS = @FLIBS@
213 FOP = @FOP@
214 GIWS_BIN = @GIWS_BIN@
215 GLUEGEN_RT = @GLUEGEN_RT@
216 GREP = @GREP@
217 INSTALL = @INSTALL@
218 INSTALL_DATA = @INSTALL_DATA@
219 INSTALL_PROGRAM = @INSTALL_PROGRAM@
220 INSTALL_SCRIPT = @INSTALL_SCRIPT@
221 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
222 JAR = @JAR@
223 JAVA = @JAVA@
224 JAVAC = @JAVAC@
225 JAVAH = @JAVAH@
226 JAVA_G = @JAVA_G@
227 JAVA_HOME = @JAVA_HOME@
228 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
229 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
230 JDB = @JDB@
231 JHALL = @JHALL@
232 JOGL = @JOGL@
233 JROSETTA_API = @JROSETTA_API@
234 JROSETTA_ENGINE = @JROSETTA_ENGINE@
235 LAPACK_LIBS = @LAPACK_LIBS@
236 LDFLAGS = @LDFLAGS@
237 LIBOBJS = @LIBOBJS@
238 LIBS = @LIBS@
239 LIBTOOL = @LIBTOOL@
240 LN_S = @LN_S@
241 LTLIBOBJS = @LTLIBOBJS@
242 MAINT = @MAINT@
243 MAKEINFO = @MAKEINFO@
244 MANGENERATOR = @MANGENERATOR@
245 MATIO_CFLAGS = @MATIO_CFLAGS@
246 MATIO_ENABLE = @MATIO_ENABLE@
247 MATIO_LIB = @MATIO_LIB@
248 MKDIR_P = @MKDIR_P@
249 MSGCAT = @MSGCAT@
250 MSGFMT = @MSGFMT@
251 NM = @NM@
252 NMEDIT = @NMEDIT@
253 OBJEXT = @OBJEXT@
254 OCAMLC = @OCAMLC@
255 OCAMLDEP = @OCAMLDEP@
256 OCAMLLEX = @OCAMLLEX@
257 OCAMLOPT = @OCAMLOPT@
258 OCAMLYACC = @OCAMLYACC@
259 PACKAGE = @PACKAGE@
260 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
261 PACKAGE_NAME = @PACKAGE_NAME@
262 PACKAGE_STRING = @PACKAGE_STRING@
263 PACKAGE_TARNAME = @PACKAGE_TARNAME@
264 PACKAGE_VERSION = @PACKAGE_VERSION@
265 PATH_SEPARATOR = @PATH_SEPARATOR@
266 PCRE_CFLAGS = @PCRE_CFLAGS@
267 PCRE_CONFIG = @PCRE_CONFIG@
268 PCRE_LIBS = @PCRE_LIBS@
269 PCRE_VERSION = @PCRE_VERSION@
270 POW_LIB = @POW_LIB@
271 PVMARCH = @PVMARCH@
272 PVMGETARCH = @PVMGETARCH@
273 PVM_ENABLE = @PVM_ENABLE@
274 PVM_INCLUDE = @PVM_INCLUDE@
275 PVM_LIB = @PVM_LIB@
276 PYTHON = @PYTHON@
277 RANLIB = @RANLIB@
278 RELOCATABLE = @RELOCATABLE@
279 SAXON = @SAXON@
280 SCICOS_ENABLE = @SCICOS_ENABLE@
281 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
282 SED = @SED@
283 SET_MAKE = @SET_MAKE@
284 SET_RELOCATABLE = @SET_RELOCATABLE@
285 SHELL = @SHELL@
286 STRIP = @STRIP@
287 SWIG_BIN = @SWIG_BIN@
288 SWIG_JAVA = @SWIG_JAVA@
289 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
290 TCLTK_LIBS = @TCLTK_LIBS@
291 TCL_INC_PATH = @TCL_INC_PATH@
292 TERMCAP_LIB = @TERMCAP_LIB@
293 TK_INC_PATH = @TK_INC_PATH@
294 UMFPACK_ENABLE = @UMFPACK_ENABLE@
295 UMFPACK_LIB = @UMFPACK_LIB@
296 VERSION = @VERSION@
297 WITH = @WITH@
298 WITH_OCAML = @WITH_OCAML@
299 XGETTEXT = @XGETTEXT@
300 XMKMF = @XMKMF@
301 XML_CONFIG = @XML_CONFIG@
302 XML_FLAGS = @XML_FLAGS@
303 XML_LIBS = @XML_LIBS@
304 XML_VERSION = @XML_VERSION@
305 X_CFLAGS = @X_CFLAGS@
306 X_EXTRA_LIBS = @X_EXTRA_LIBS@
307 X_LIBS = @X_LIBS@
308 X_PRE_LIBS = @X_PRE_LIBS@
309 abs_builddir = @abs_builddir@
310 abs_srcdir = @abs_srcdir@
311 abs_top_builddir = @abs_top_builddir@
312 abs_top_srcdir = @abs_top_srcdir@
313 ac_ct_CC = @ac_ct_CC@
314 ac_ct_CXX = @ac_ct_CXX@
315 ac_ct_F77 = @ac_ct_F77@
316 am__include = @am__include@
317 am__leading_dot = @am__leading_dot@
318 am__quote = @am__quote@
319 am__tar = @am__tar@
320 am__untar = @am__untar@
321 bindir = @bindir@
322 build = @build@
323 build_alias = @build_alias@
324 build_cpu = @build_cpu@
325 build_os = @build_os@
326 build_vendor = @build_vendor@
327 builddir = @builddir@
328 cxx_present = @cxx_present@
329 datadir = @datadir@
330 datarootdir = @datarootdir@
331 docdir = @docdir@
332 dvidir = @dvidir@
333 exec_prefix = @exec_prefix@
334 host = @host@
335 host_alias = @host_alias@
336 host_cpu = @host_cpu@
337 host_os = @host_os@
338 host_vendor = @host_vendor@
339 htmldir = @htmldir@
340 includedir = @includedir@
341 infodir = @infodir@
342 install_sh = @install_sh@
343 libdir = @libdir@
344 libexecdir = @libexecdir@
345 localedir = @localedir@
346 localstatedir = @localstatedir@
347 mandir = @mandir@
348 mkdir_p = @mkdir_p@
349 oldincludedir = @oldincludedir@
350 pdfdir = @pdfdir@
351 prefix = @prefix@
352 program_transform_name = @program_transform_name@
353 psdir = @psdir@
354 sbindir = @sbindir@
355 sharedstatedir = @sharedstatedir@
356 srcdir = @srcdir@
357 sysconfdir = @sysconfdir@
358 target_alias = @target_alias@
359 top_builddir = @top_builddir@
360 top_srcdir = @top_srcdir@
361 OPTIMIZATION_C_SOURCES = src/c/intqld.c \
362 src/c/sp.c \
363 src/c/fsolvetable.c \
364 src/c/lsqrsolvtable.c \
365 src/c/optimtable.c
366
367 OPTIMIZATION_FORTRAN_SOURCES = src/fortran/qrfac.f \
368 src/fortran/gcbd.f \
369 src/fortran/qpgen2.f \
370 src/fortran/n1qn2a.f \
371 src/fortran/dogleg.f \
372 src/fortran/fuclid.f \
373 src/fortran/fmc11b.f \
374 src/fortran/ql0001.f \
375 src/fortran/shanph.f \
376 src/fortran/fajc1.f \
377 src/fortran/majysa.f \
378 src/fortran/fdjac2.f \
379 src/fortran/icsei.f \
380 src/fortran/majour.f \
381 src/fortran/n1qn1.f \
382 src/fortran/hybrj1.f \
383 src/fortran/n1qn1a.f \
384 src/fortran/n1qn3.f \
385 src/fortran/fmc11z.f \
386 src/fortran/icse0.f \
387 src/fortran/icse2.f \
388 src/fortran/fmuls1.f \
389 src/fortran/icsec2.f \
390 src/fortran/gcp.f \
391 src/fortran/n1fc1a.f \
392 src/fortran/n1gc2.f \
393 src/fortran/proj.f \
394 src/fortran/n1gc2a.f \
395 src/fortran/ddd2.f \
396 src/fortran/fremf2.f \
397 src/fortran/dcube.f \
398 src/fortran/fcube.f \
399 src/fortran/bfgsd.f \
400 src/fortran/fcomp1.f \
401 src/fortran/fmulb1.f \
402 src/fortran/qrsolv.f \
403 src/fortran/n1fc1o.f \
404 src/fortran/relvar.f \
405 src/fortran/satur.f \
406 src/fortran/strang.f \
407 src/fortran/hybrd.f \
408 src/fortran/fmc11a.f \
409 src/fortran/fmani1.f \
410 src/fortran/fmc11e.f \
411 src/fortran/hybrj.f \
412 src/fortran/zqnbd.f \
413 src/fortran/r1updt.f \
414 src/fortran/ajour.f \
415 src/fortran/dpmpar.f \
416 src/fortran/fretc1.f \
417 src/fortran/qnbd.f \
418 src/fortran/nlis0.f \
419 src/fortran/nlis2.f \
420 src/fortran/fdjac1.f \
421 src/fortran/hybrd1.f \
422 src/fortran/lmdif.f \
423 src/fortran/n1qn2.f \
424 src/fortran/majz.f \
425 src/fortran/n1qn3a.f \
426 src/fortran/frdf1.f \
427 src/fortran/lmder.f \
428 src/fortran/icse1.f \
429 src/fortran/ctonb.f \
430 src/fortran/icscof.f \
431 src/fortran/fmlag1.f \
432 src/fortran/fpq2.f \
433 src/fortran/n1fc1.f \
434 src/fortran/ffinf1.f \
435 src/fortran/lmpar.f \
436 src/fortran/ctcab.f \
437 src/fortran/n1gc2b.f \
438 src/fortran/fprf2.f \
439 src/fortran/fremf1.f \
440 src/fortran/enorm.f \
441 src/fortran/icse.f \
442 src/fortran/rlbd.f \
443 src/fortran/qform.f \
444 src/fortran/calmaj.f \
445 src/fortran/calbx.f \
446 src/fortran/r1mpyq.f \
447 src/fortran/rednor.f \
448 src/fortran/zgcbd.f \
449 src/fortran/writebuf.f \
450 src/fortran/dpofa.f \
451 src/fortran/qpgen1sci.f \
452 src/fortran/util.f
453
454 GATEWAY_C_SOURCES = sci_gateway/c/sci_semidef.c \
455 sci_gateway/c/sci_qld.c \
456 sci_gateway/c/gw_optimization.c \
457 sci_gateway/c/sci_optim.c \
458 sci_gateway/c/sci_fsolv.c \
459 sci_gateway/c/sci_sqrsolve.c \
460 sci_gateway/c/sci_qp_solve.c
461
462 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/sci_f_semidef.f \
463 sci_gateway/fortran/sci_f_fsolve.f \
464 sci_gateway/fortran/sci_f_optim.f \
465 sci_gateway/fortran/boptim.f \
466 sci_gateway/fortran/bsolv.f \
467 sci_gateway/fortran/bjlsqrsolv.f \
468 sci_gateway/fortran/blsqrsolv.f \
469 sci_gateway/fortran/bjsolv.f \
470 sci_gateway/fortran/intlsqrsolve.f \
471 sci_gateway/fortran/Ex-optim.f \
472 sci_gateway/fortran/Ex-fsolve.f \
473 sci_gateway/fortran/Ex-lsqrsolve.f
474
475 libscioptimization_la_CFLAGS = -Iincludes/ \
476 -I$(top_builddir)/modules/output_stream/includes \
477 -I$(top_builddir)/modules/dynamic_link/includes
478
479 #-Isrc/c/
480 pkglib_LTLIBRARIES = libscioptimization.la
481 libscioptimization_la_LDFLAGS = -version-info $(SCILAB_LIBRARY_VERSION)
482 libscioptimization_la_SOURCES = $(OPTIMIZATION_C_SOURCES) $(OPTIMIZATION_FORTRAN_SOURCES) $(GATEWAY_C_SOURCES) $(GATEWAY_FORTRAN_SOURCES)
483 libscioptimization_la_LIBADD =  \
484         $(top_builddir)/modules/core/libscicore.la \
485         $(top_builddir)/modules/elementary_functions/libscielementary_functions.la \
486         $(top_builddir)/modules/dynamic_link/libscidynamic_link.la \
487         $(top_builddir)/modules/arnoldi/libsciarnoldi.la \
488         $(top_builddir)/modules/string/libscistring.la \
489         $(top_builddir)/modules/output_stream/libscioutput_stream.la \
490         $(am__append_1) $(am__append_2)
491
492 #### Target ######
493 modulename = optimization
494
495 #### optimization : Conf files ####
496 libscioptimization_la_rootdir = $(mydatadir)
497 libscioptimization_la_root_DATA = changelog.txt license.txt readme.txt version.xml
498
499 ####�optimization : init scripts ####
500 libscioptimization_la_etcdir = $(mydatadir)/etc
501 libscioptimization_la_etc_DATA = etc/optimization.quit etc/optimization.start
502
503 ####�optimization : gateway declaration ####
504 libscioptimization_la_sci_gatewaydir = $(mydatadir)/sci_gateway
505 libscioptimization_la_sci_gateway_DATA = sci_gateway/optimization_gateway.xml
506 ####�optimization : include files ####
507 libscioptimization_la_includedir = $(pkgincludedir)/optimization
508 libscioptimization_la_include_HEADERS = includes/gw_optim.h \
509 includes/spd.h
510
511
512 ####�optimization : demos files ####
513 libscioptimization_la_demosdir = $(mydatadir)
514 nobase_libscioptimization_la_demos_DATA = demos/datafit/datafit.dem.sce \
515 demos/datafit/demo_datafit.sci \
516 demos/datafit/demo_datafit_fr.htm \
517 demos/icse/icob.sci \
518 demos/icse/icot.sci \
519 demos/icse/icse.contexte \
520 demos/icse/icse.sci \
521 demos/icse/icsegen.sci \
522 demos/icse/icseinit.sce \
523 demos/icse/icsu.sci \
524 demos/icse/icsua.sci \
525 demos/icse/icsuq.sci \
526 demos/icse/icsvisu.sci \
527 demos/icse/lqv.sce \
528 demos/icse/navet.sce \
529 demos/icse/README \
530 demos/icse/sero.mes \
531 demos/icse/seros.sce \
532 demos/multiflow/demo_multiflow.sci \
533 demos/multiflow/demo_multiflow_fr.htm \
534 demos/multiflow/ex3.graph \
535 demos/multiflow/multiflow.dem.sce \
536 demos/optimization.dem.gateway.sce
537
538
539 # Where all the Scilab stuff is installed (macros, help, ...)
540 mydatadir = $(pkgdatadir)/modules/$(modulename)
541
542 ########################### JAVA ######################################
543 #### We are delegating java compilation to ant... Thanks to that
544 #### the procedure will be the same with Microsoft Windows (C)
545 #### and Linux/Unix
546 #######################################################################
547 TARGETS_ALL = $(am__append_3) $(am__append_4) $(am__append_5)
548
549 ################ MACROS ######################
550 # Rule to build a macro
551 # NOT USED  AT THE MOMENT
552 SUFFIXES = .sci 
553
554 ########### INSTALL DOCUMENTATION ###################
555
556 # Install HTML files into the right target
557 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
558 # automake needs the html files to be present which is not the case when
559 # we are building Scilab
560
561 # Where it should be installed
562 pkgdocdir = $(mydatadir)
563
564 # Which directories we have to install
565 DOCDIRS = help/fr_FR help/en_US
566
567 # What is the mask of the help output
568 DOCMASK = *.htm
569
570 # Which directories we have to install
571 DOCIMGDIRS = help/images
572 # What is the mask of the help images
573 DOCIMGMASK = *
574
575 # What is the mask of the help source
576 DOCMASKXML = *.xml
577
578 # Chapter file
579 HELP_CHAPTERFILE = addchapter.sce
580
581 ########### INSTALL DATA ###################
582 # Install macros
583 # Where it should be installed
584 pkgmacrosdir = $(mydatadir)
585 # Which directory we process
586 MACRODIRS = macros/
587 # Mask of the Scilab sources macros
588 MACROMASK = *.sci
589 # Mask of the Scilab executable sources macros
590 MACROBUILDMASK = *.sce
591 # Mask of the Scilab compiled macros
592 MACROBINMASK = *.bin
593 # List of the function of a module
594 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests
595 # Where to export JAVA files (.jar)
596 JARDIR = jar/
597 # JAR files
598 JARMASK = *.jar
599 all: all-am
600
601 .SUFFIXES:
602 .SUFFIXES: .sci .bin .c .f .lo .o .obj
603 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
604         @for dep in $?; do \
605           case '$(am__configure_deps)' in \
606             *$$dep*) \
607               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
608                 && exit 0; \
609               exit 1;; \
610           esac; \
611         done; \
612         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  modules/optimization/Makefile'; \
613         cd $(top_srcdir) && \
614           $(AUTOMAKE) --foreign  modules/optimization/Makefile
615 .PRECIOUS: Makefile
616 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
617         @case '$?' in \
618           *config.status*) \
619             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
620           *) \
621             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
622             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
623         esac;
624
625 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
626         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
627
628 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
629         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
630 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
631         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
632 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
633         @$(NORMAL_INSTALL)
634         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
635         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
636           if test -f $$p; then \
637             f=$(am__strip_dir) \
638             echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(pkglibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(pkglibdir)/$$f'"; \
639             $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(pkglibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(pkglibdir)/$$f"; \
640           else :; fi; \
641         done
642
643 uninstall-pkglibLTLIBRARIES:
644         @$(NORMAL_UNINSTALL)
645         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
646           p=$(am__strip_dir) \
647           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$p'"; \
648           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$p"; \
649         done
650
651 clean-pkglibLTLIBRARIES:
652         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
653         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
654           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
655           test "$$dir" != "$$p" || dir=.; \
656           echo "rm -f \"$${dir}/so_locations\""; \
657           rm -f "$${dir}/so_locations"; \
658         done
659 libscioptimization.la: $(libscioptimization_la_OBJECTS) $(libscioptimization_la_DEPENDENCIES) 
660         $(libscioptimization_la_LINK) -rpath $(pkglibdir) $(libscioptimization_la_OBJECTS) $(libscioptimization_la_LIBADD) $(LIBS)
661
662 mostlyclean-compile:
663         -rm -f *.$(OBJEXT)
664
665 distclean-compile:
666         -rm -f *.tab.c
667
668 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioptimization_la-fsolvetable.Plo@am__quote@
669 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioptimization_la-gw_optimization.Plo@am__quote@
670 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioptimization_la-intqld.Plo@am__quote@
671 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioptimization_la-lsqrsolvtable.Plo@am__quote@
672 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioptimization_la-optimtable.Plo@am__quote@
673 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioptimization_la-sci_fsolv.Plo@am__quote@
674 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioptimization_la-sci_optim.Plo@am__quote@
675 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioptimization_la-sci_qld.Plo@am__quote@
676 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioptimization_la-sci_qp_solve.Plo@am__quote@
677 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioptimization_la-sci_semidef.Plo@am__quote@
678 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioptimization_la-sci_sqrsolve.Plo@am__quote@
679 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioptimization_la-sp.Plo@am__quote@
680
681 .c.o:
682 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
683 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
684 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
685 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
686 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
687
688 .c.obj:
689 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
690 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
691 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
692 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
693 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
694
695 .c.lo:
696 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
697 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
698 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
699 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
700 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
701
702 libscioptimization_la-intqld.lo: src/c/intqld.c
703 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -MT libscioptimization_la-intqld.lo -MD -MP -MF $(DEPDIR)/libscioptimization_la-intqld.Tpo -c -o libscioptimization_la-intqld.lo `test -f 'src/c/intqld.c' || echo '$(srcdir)/'`src/c/intqld.c
704 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioptimization_la-intqld.Tpo $(DEPDIR)/libscioptimization_la-intqld.Plo
705 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/intqld.c' object='libscioptimization_la-intqld.lo' libtool=yes @AMDEPBACKSLASH@
706 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
707 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -c -o libscioptimization_la-intqld.lo `test -f 'src/c/intqld.c' || echo '$(srcdir)/'`src/c/intqld.c
708
709 libscioptimization_la-sp.lo: src/c/sp.c
710 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -MT libscioptimization_la-sp.lo -MD -MP -MF $(DEPDIR)/libscioptimization_la-sp.Tpo -c -o libscioptimization_la-sp.lo `test -f 'src/c/sp.c' || echo '$(srcdir)/'`src/c/sp.c
711 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioptimization_la-sp.Tpo $(DEPDIR)/libscioptimization_la-sp.Plo
712 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/sp.c' object='libscioptimization_la-sp.lo' libtool=yes @AMDEPBACKSLASH@
713 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
714 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -c -o libscioptimization_la-sp.lo `test -f 'src/c/sp.c' || echo '$(srcdir)/'`src/c/sp.c
715
716 libscioptimization_la-fsolvetable.lo: src/c/fsolvetable.c
717 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -MT libscioptimization_la-fsolvetable.lo -MD -MP -MF $(DEPDIR)/libscioptimization_la-fsolvetable.Tpo -c -o libscioptimization_la-fsolvetable.lo `test -f 'src/c/fsolvetable.c' || echo '$(srcdir)/'`src/c/fsolvetable.c
718 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioptimization_la-fsolvetable.Tpo $(DEPDIR)/libscioptimization_la-fsolvetable.Plo
719 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/fsolvetable.c' object='libscioptimization_la-fsolvetable.lo' libtool=yes @AMDEPBACKSLASH@
720 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
721 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -c -o libscioptimization_la-fsolvetable.lo `test -f 'src/c/fsolvetable.c' || echo '$(srcdir)/'`src/c/fsolvetable.c
722
723 libscioptimization_la-lsqrsolvtable.lo: src/c/lsqrsolvtable.c
724 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -MT libscioptimization_la-lsqrsolvtable.lo -MD -MP -MF $(DEPDIR)/libscioptimization_la-lsqrsolvtable.Tpo -c -o libscioptimization_la-lsqrsolvtable.lo `test -f 'src/c/lsqrsolvtable.c' || echo '$(srcdir)/'`src/c/lsqrsolvtable.c
725 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioptimization_la-lsqrsolvtable.Tpo $(DEPDIR)/libscioptimization_la-lsqrsolvtable.Plo
726 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/lsqrsolvtable.c' object='libscioptimization_la-lsqrsolvtable.lo' libtool=yes @AMDEPBACKSLASH@
727 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
728 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -c -o libscioptimization_la-lsqrsolvtable.lo `test -f 'src/c/lsqrsolvtable.c' || echo '$(srcdir)/'`src/c/lsqrsolvtable.c
729
730 libscioptimization_la-optimtable.lo: src/c/optimtable.c
731 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -MT libscioptimization_la-optimtable.lo -MD -MP -MF $(DEPDIR)/libscioptimization_la-optimtable.Tpo -c -o libscioptimization_la-optimtable.lo `test -f 'src/c/optimtable.c' || echo '$(srcdir)/'`src/c/optimtable.c
732 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioptimization_la-optimtable.Tpo $(DEPDIR)/libscioptimization_la-optimtable.Plo
733 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/optimtable.c' object='libscioptimization_la-optimtable.lo' libtool=yes @AMDEPBACKSLASH@
734 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
735 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -c -o libscioptimization_la-optimtable.lo `test -f 'src/c/optimtable.c' || echo '$(srcdir)/'`src/c/optimtable.c
736
737 libscioptimization_la-sci_semidef.lo: sci_gateway/c/sci_semidef.c
738 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -MT libscioptimization_la-sci_semidef.lo -MD -MP -MF $(DEPDIR)/libscioptimization_la-sci_semidef.Tpo -c -o libscioptimization_la-sci_semidef.lo `test -f 'sci_gateway/c/sci_semidef.c' || echo '$(srcdir)/'`sci_gateway/c/sci_semidef.c
739 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioptimization_la-sci_semidef.Tpo $(DEPDIR)/libscioptimization_la-sci_semidef.Plo
740 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_semidef.c' object='libscioptimization_la-sci_semidef.lo' libtool=yes @AMDEPBACKSLASH@
741 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
742 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -c -o libscioptimization_la-sci_semidef.lo `test -f 'sci_gateway/c/sci_semidef.c' || echo '$(srcdir)/'`sci_gateway/c/sci_semidef.c
743
744 libscioptimization_la-sci_qld.lo: sci_gateway/c/sci_qld.c
745 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -MT libscioptimization_la-sci_qld.lo -MD -MP -MF $(DEPDIR)/libscioptimization_la-sci_qld.Tpo -c -o libscioptimization_la-sci_qld.lo `test -f 'sci_gateway/c/sci_qld.c' || echo '$(srcdir)/'`sci_gateway/c/sci_qld.c
746 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioptimization_la-sci_qld.Tpo $(DEPDIR)/libscioptimization_la-sci_qld.Plo
747 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_qld.c' object='libscioptimization_la-sci_qld.lo' libtool=yes @AMDEPBACKSLASH@
748 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
749 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -c -o libscioptimization_la-sci_qld.lo `test -f 'sci_gateway/c/sci_qld.c' || echo '$(srcdir)/'`sci_gateway/c/sci_qld.c
750
751 libscioptimization_la-gw_optimization.lo: sci_gateway/c/gw_optimization.c
752 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -MT libscioptimization_la-gw_optimization.lo -MD -MP -MF $(DEPDIR)/libscioptimization_la-gw_optimization.Tpo -c -o libscioptimization_la-gw_optimization.lo `test -f 'sci_gateway/c/gw_optimization.c' || echo '$(srcdir)/'`sci_gateway/c/gw_optimization.c
753 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioptimization_la-gw_optimization.Tpo $(DEPDIR)/libscioptimization_la-gw_optimization.Plo
754 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_optimization.c' object='libscioptimization_la-gw_optimization.lo' libtool=yes @AMDEPBACKSLASH@
755 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
756 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -c -o libscioptimization_la-gw_optimization.lo `test -f 'sci_gateway/c/gw_optimization.c' || echo '$(srcdir)/'`sci_gateway/c/gw_optimization.c
757
758 libscioptimization_la-sci_optim.lo: sci_gateway/c/sci_optim.c
759 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -MT libscioptimization_la-sci_optim.lo -MD -MP -MF $(DEPDIR)/libscioptimization_la-sci_optim.Tpo -c -o libscioptimization_la-sci_optim.lo `test -f 'sci_gateway/c/sci_optim.c' || echo '$(srcdir)/'`sci_gateway/c/sci_optim.c
760 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioptimization_la-sci_optim.Tpo $(DEPDIR)/libscioptimization_la-sci_optim.Plo
761 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_optim.c' object='libscioptimization_la-sci_optim.lo' libtool=yes @AMDEPBACKSLASH@
762 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
763 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -c -o libscioptimization_la-sci_optim.lo `test -f 'sci_gateway/c/sci_optim.c' || echo '$(srcdir)/'`sci_gateway/c/sci_optim.c
764
765 libscioptimization_la-sci_fsolv.lo: sci_gateway/c/sci_fsolv.c
766 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -MT libscioptimization_la-sci_fsolv.lo -MD -MP -MF $(DEPDIR)/libscioptimization_la-sci_fsolv.Tpo -c -o libscioptimization_la-sci_fsolv.lo `test -f 'sci_gateway/c/sci_fsolv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fsolv.c
767 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioptimization_la-sci_fsolv.Tpo $(DEPDIR)/libscioptimization_la-sci_fsolv.Plo
768 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_fsolv.c' object='libscioptimization_la-sci_fsolv.lo' libtool=yes @AMDEPBACKSLASH@
769 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
770 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -c -o libscioptimization_la-sci_fsolv.lo `test -f 'sci_gateway/c/sci_fsolv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fsolv.c
771
772 libscioptimization_la-sci_sqrsolve.lo: sci_gateway/c/sci_sqrsolve.c
773 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -MT libscioptimization_la-sci_sqrsolve.lo -MD -MP -MF $(DEPDIR)/libscioptimization_la-sci_sqrsolve.Tpo -c -o libscioptimization_la-sci_sqrsolve.lo `test -f 'sci_gateway/c/sci_sqrsolve.c' || echo '$(srcdir)/'`sci_gateway/c/sci_sqrsolve.c
774 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioptimization_la-sci_sqrsolve.Tpo $(DEPDIR)/libscioptimization_la-sci_sqrsolve.Plo
775 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_sqrsolve.c' object='libscioptimization_la-sci_sqrsolve.lo' libtool=yes @AMDEPBACKSLASH@
776 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
777 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -c -o libscioptimization_la-sci_sqrsolve.lo `test -f 'sci_gateway/c/sci_sqrsolve.c' || echo '$(srcdir)/'`sci_gateway/c/sci_sqrsolve.c
778
779 libscioptimization_la-sci_qp_solve.lo: sci_gateway/c/sci_qp_solve.c
780 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -MT libscioptimization_la-sci_qp_solve.lo -MD -MP -MF $(DEPDIR)/libscioptimization_la-sci_qp_solve.Tpo -c -o libscioptimization_la-sci_qp_solve.lo `test -f 'sci_gateway/c/sci_qp_solve.c' || echo '$(srcdir)/'`sci_gateway/c/sci_qp_solve.c
781 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioptimization_la-sci_qp_solve.Tpo $(DEPDIR)/libscioptimization_la-sci_qp_solve.Plo
782 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_qp_solve.c' object='libscioptimization_la-sci_qp_solve.lo' libtool=yes @AMDEPBACKSLASH@
783 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
784 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioptimization_la_CFLAGS) $(CFLAGS) -c -o libscioptimization_la-sci_qp_solve.lo `test -f 'sci_gateway/c/sci_qp_solve.c' || echo '$(srcdir)/'`sci_gateway/c/sci_qp_solve.c
785
786 .f.o:
787         $(F77COMPILE) -c -o $@ $<
788
789 .f.obj:
790         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
791
792 .f.lo:
793         $(LTF77COMPILE) -c -o $@ $<
794
795 qrfac.lo: src/fortran/qrfac.f
796         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o qrfac.lo `test -f 'src/fortran/qrfac.f' || echo '$(srcdir)/'`src/fortran/qrfac.f
797
798 gcbd.lo: src/fortran/gcbd.f
799         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o gcbd.lo `test -f 'src/fortran/gcbd.f' || echo '$(srcdir)/'`src/fortran/gcbd.f
800
801 qpgen2.lo: src/fortran/qpgen2.f
802         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o qpgen2.lo `test -f 'src/fortran/qpgen2.f' || echo '$(srcdir)/'`src/fortran/qpgen2.f
803
804 n1qn2a.lo: src/fortran/n1qn2a.f
805         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o n1qn2a.lo `test -f 'src/fortran/n1qn2a.f' || echo '$(srcdir)/'`src/fortran/n1qn2a.f
806
807 dogleg.lo: src/fortran/dogleg.f
808         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dogleg.lo `test -f 'src/fortran/dogleg.f' || echo '$(srcdir)/'`src/fortran/dogleg.f
809
810 fuclid.lo: src/fortran/fuclid.f
811         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fuclid.lo `test -f 'src/fortran/fuclid.f' || echo '$(srcdir)/'`src/fortran/fuclid.f
812
813 fmc11b.lo: src/fortran/fmc11b.f
814         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fmc11b.lo `test -f 'src/fortran/fmc11b.f' || echo '$(srcdir)/'`src/fortran/fmc11b.f
815
816 ql0001.lo: src/fortran/ql0001.f
817         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o ql0001.lo `test -f 'src/fortran/ql0001.f' || echo '$(srcdir)/'`src/fortran/ql0001.f
818
819 shanph.lo: src/fortran/shanph.f
820         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o shanph.lo `test -f 'src/fortran/shanph.f' || echo '$(srcdir)/'`src/fortran/shanph.f
821
822 fajc1.lo: src/fortran/fajc1.f
823         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fajc1.lo `test -f 'src/fortran/fajc1.f' || echo '$(srcdir)/'`src/fortran/fajc1.f
824
825 majysa.lo: src/fortran/majysa.f
826         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o majysa.lo `test -f 'src/fortran/majysa.f' || echo '$(srcdir)/'`src/fortran/majysa.f
827
828 fdjac2.lo: src/fortran/fdjac2.f
829         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fdjac2.lo `test -f 'src/fortran/fdjac2.f' || echo '$(srcdir)/'`src/fortran/fdjac2.f
830
831 icsei.lo: src/fortran/icsei.f
832         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o icsei.lo `test -f 'src/fortran/icsei.f' || echo '$(srcdir)/'`src/fortran/icsei.f
833
834 majour.lo: src/fortran/majour.f
835         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o majour.lo `test -f 'src/fortran/majour.f' || echo '$(srcdir)/'`src/fortran/majour.f
836
837 n1qn1.lo: src/fortran/n1qn1.f
838         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o n1qn1.lo `test -f 'src/fortran/n1qn1.f' || echo '$(srcdir)/'`src/fortran/n1qn1.f
839
840 hybrj1.lo: src/fortran/hybrj1.f
841         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o hybrj1.lo `test -f 'src/fortran/hybrj1.f' || echo '$(srcdir)/'`src/fortran/hybrj1.f
842
843 n1qn1a.lo: src/fortran/n1qn1a.f
844         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o n1qn1a.lo `test -f 'src/fortran/n1qn1a.f' || echo '$(srcdir)/'`src/fortran/n1qn1a.f
845
846 n1qn3.lo: src/fortran/n1qn3.f
847         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o n1qn3.lo `test -f 'src/fortran/n1qn3.f' || echo '$(srcdir)/'`src/fortran/n1qn3.f
848
849 fmc11z.lo: src/fortran/fmc11z.f
850         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fmc11z.lo `test -f 'src/fortran/fmc11z.f' || echo '$(srcdir)/'`src/fortran/fmc11z.f
851
852 icse0.lo: src/fortran/icse0.f
853         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o icse0.lo `test -f 'src/fortran/icse0.f' || echo '$(srcdir)/'`src/fortran/icse0.f
854
855 icse2.lo: src/fortran/icse2.f
856         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o icse2.lo `test -f 'src/fortran/icse2.f' || echo '$(srcdir)/'`src/fortran/icse2.f
857
858 fmuls1.lo: src/fortran/fmuls1.f
859         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fmuls1.lo `test -f 'src/fortran/fmuls1.f' || echo '$(srcdir)/'`src/fortran/fmuls1.f
860
861 icsec2.lo: src/fortran/icsec2.f
862         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o icsec2.lo `test -f 'src/fortran/icsec2.f' || echo '$(srcdir)/'`src/fortran/icsec2.f
863
864 gcp.lo: src/fortran/gcp.f
865         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o gcp.lo `test -f 'src/fortran/gcp.f' || echo '$(srcdir)/'`src/fortran/gcp.f
866
867 n1fc1a.lo: src/fortran/n1fc1a.f
868         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o n1fc1a.lo `test -f 'src/fortran/n1fc1a.f' || echo '$(srcdir)/'`src/fortran/n1fc1a.f
869
870 n1gc2.lo: src/fortran/n1gc2.f
871         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o n1gc2.lo `test -f 'src/fortran/n1gc2.f' || echo '$(srcdir)/'`src/fortran/n1gc2.f
872
873 proj.lo: src/fortran/proj.f
874         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o proj.lo `test -f 'src/fortran/proj.f' || echo '$(srcdir)/'`src/fortran/proj.f
875
876 n1gc2a.lo: src/fortran/n1gc2a.f
877         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o n1gc2a.lo `test -f 'src/fortran/n1gc2a.f' || echo '$(srcdir)/'`src/fortran/n1gc2a.f
878
879 ddd2.lo: src/fortran/ddd2.f
880         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o ddd2.lo `test -f 'src/fortran/ddd2.f' || echo '$(srcdir)/'`src/fortran/ddd2.f
881
882 fremf2.lo: src/fortran/fremf2.f
883         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fremf2.lo `test -f 'src/fortran/fremf2.f' || echo '$(srcdir)/'`src/fortran/fremf2.f
884
885 dcube.lo: src/fortran/dcube.f
886         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dcube.lo `test -f 'src/fortran/dcube.f' || echo '$(srcdir)/'`src/fortran/dcube.f
887
888 fcube.lo: src/fortran/fcube.f
889         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fcube.lo `test -f 'src/fortran/fcube.f' || echo '$(srcdir)/'`src/fortran/fcube.f
890
891 bfgsd.lo: src/fortran/bfgsd.f
892         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o bfgsd.lo `test -f 'src/fortran/bfgsd.f' || echo '$(srcdir)/'`src/fortran/bfgsd.f
893
894 fcomp1.lo: src/fortran/fcomp1.f
895         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fcomp1.lo `test -f 'src/fortran/fcomp1.f' || echo '$(srcdir)/'`src/fortran/fcomp1.f
896
897 fmulb1.lo: src/fortran/fmulb1.f
898         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fmulb1.lo `test -f 'src/fortran/fmulb1.f' || echo '$(srcdir)/'`src/fortran/fmulb1.f
899
900 qrsolv.lo: src/fortran/qrsolv.f
901         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o qrsolv.lo `test -f 'src/fortran/qrsolv.f' || echo '$(srcdir)/'`src/fortran/qrsolv.f
902
903 n1fc1o.lo: src/fortran/n1fc1o.f
904         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o n1fc1o.lo `test -f 'src/fortran/n1fc1o.f' || echo '$(srcdir)/'`src/fortran/n1fc1o.f
905
906 relvar.lo: src/fortran/relvar.f
907         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o relvar.lo `test -f 'src/fortran/relvar.f' || echo '$(srcdir)/'`src/fortran/relvar.f
908
909 satur.lo: src/fortran/satur.f
910         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o satur.lo `test -f 'src/fortran/satur.f' || echo '$(srcdir)/'`src/fortran/satur.f
911
912 strang.lo: src/fortran/strang.f
913         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o strang.lo `test -f 'src/fortran/strang.f' || echo '$(srcdir)/'`src/fortran/strang.f
914
915 hybrd.lo: src/fortran/hybrd.f
916         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o hybrd.lo `test -f 'src/fortran/hybrd.f' || echo '$(srcdir)/'`src/fortran/hybrd.f
917
918 fmc11a.lo: src/fortran/fmc11a.f
919         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fmc11a.lo `test -f 'src/fortran/fmc11a.f' || echo '$(srcdir)/'`src/fortran/fmc11a.f
920
921 fmani1.lo: src/fortran/fmani1.f
922         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fmani1.lo `test -f 'src/fortran/fmani1.f' || echo '$(srcdir)/'`src/fortran/fmani1.f
923
924 fmc11e.lo: src/fortran/fmc11e.f
925         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fmc11e.lo `test -f 'src/fortran/fmc11e.f' || echo '$(srcdir)/'`src/fortran/fmc11e.f
926
927 hybrj.lo: src/fortran/hybrj.f
928         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o hybrj.lo `test -f 'src/fortran/hybrj.f' || echo '$(srcdir)/'`src/fortran/hybrj.f
929
930 zqnbd.lo: src/fortran/zqnbd.f
931         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o zqnbd.lo `test -f 'src/fortran/zqnbd.f' || echo '$(srcdir)/'`src/fortran/zqnbd.f
932
933 r1updt.lo: src/fortran/r1updt.f
934         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o r1updt.lo `test -f 'src/fortran/r1updt.f' || echo '$(srcdir)/'`src/fortran/r1updt.f
935
936 ajour.lo: src/fortran/ajour.f
937         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o ajour.lo `test -f 'src/fortran/ajour.f' || echo '$(srcdir)/'`src/fortran/ajour.f
938
939 dpmpar.lo: src/fortran/dpmpar.f
940         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dpmpar.lo `test -f 'src/fortran/dpmpar.f' || echo '$(srcdir)/'`src/fortran/dpmpar.f
941
942 fretc1.lo: src/fortran/fretc1.f
943         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fretc1.lo `test -f 'src/fortran/fretc1.f' || echo '$(srcdir)/'`src/fortran/fretc1.f
944
945 qnbd.lo: src/fortran/qnbd.f
946         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o qnbd.lo `test -f 'src/fortran/qnbd.f' || echo '$(srcdir)/'`src/fortran/qnbd.f
947
948 nlis0.lo: src/fortran/nlis0.f
949         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o nlis0.lo `test -f 'src/fortran/nlis0.f' || echo '$(srcdir)/'`src/fortran/nlis0.f
950
951 nlis2.lo: src/fortran/nlis2.f
952         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o nlis2.lo `test -f 'src/fortran/nlis2.f' || echo '$(srcdir)/'`src/fortran/nlis2.f
953
954 fdjac1.lo: src/fortran/fdjac1.f
955         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fdjac1.lo `test -f 'src/fortran/fdjac1.f' || echo '$(srcdir)/'`src/fortran/fdjac1.f
956
957 hybrd1.lo: src/fortran/hybrd1.f
958         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o hybrd1.lo `test -f 'src/fortran/hybrd1.f' || echo '$(srcdir)/'`src/fortran/hybrd1.f
959
960 lmdif.lo: src/fortran/lmdif.f
961         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o lmdif.lo `test -f 'src/fortran/lmdif.f' || echo '$(srcdir)/'`src/fortran/lmdif.f
962
963 n1qn2.lo: src/fortran/n1qn2.f
964         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o n1qn2.lo `test -f 'src/fortran/n1qn2.f' || echo '$(srcdir)/'`src/fortran/n1qn2.f
965
966 majz.lo: src/fortran/majz.f
967         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o majz.lo `test -f 'src/fortran/majz.f' || echo '$(srcdir)/'`src/fortran/majz.f
968
969 n1qn3a.lo: src/fortran/n1qn3a.f
970         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o n1qn3a.lo `test -f 'src/fortran/n1qn3a.f' || echo '$(srcdir)/'`src/fortran/n1qn3a.f
971
972 frdf1.lo: src/fortran/frdf1.f
973         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o frdf1.lo `test -f 'src/fortran/frdf1.f' || echo '$(srcdir)/'`src/fortran/frdf1.f
974
975 lmder.lo: src/fortran/lmder.f
976         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o lmder.lo `test -f 'src/fortran/lmder.f' || echo '$(srcdir)/'`src/fortran/lmder.f
977
978 icse1.lo: src/fortran/icse1.f
979         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o icse1.lo `test -f 'src/fortran/icse1.f' || echo '$(srcdir)/'`src/fortran/icse1.f
980
981 ctonb.lo: src/fortran/ctonb.f
982         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o ctonb.lo `test -f 'src/fortran/ctonb.f' || echo '$(srcdir)/'`src/fortran/ctonb.f
983
984 icscof.lo: src/fortran/icscof.f
985         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o icscof.lo `test -f 'src/fortran/icscof.f' || echo '$(srcdir)/'`src/fortran/icscof.f
986
987 fmlag1.lo: src/fortran/fmlag1.f
988         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fmlag1.lo `test -f 'src/fortran/fmlag1.f' || echo '$(srcdir)/'`src/fortran/fmlag1.f
989
990 fpq2.lo: src/fortran/fpq2.f
991         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fpq2.lo `test -f 'src/fortran/fpq2.f' || echo '$(srcdir)/'`src/fortran/fpq2.f
992
993 n1fc1.lo: src/fortran/n1fc1.f
994         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o n1fc1.lo `test -f 'src/fortran/n1fc1.f' || echo '$(srcdir)/'`src/fortran/n1fc1.f
995
996 ffinf1.lo: src/fortran/ffinf1.f
997         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o ffinf1.lo `test -f 'src/fortran/ffinf1.f' || echo '$(srcdir)/'`src/fortran/ffinf1.f
998
999 lmpar.lo: src/fortran/lmpar.f
1000         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o lmpar.lo `test -f 'src/fortran/lmpar.f' || echo '$(srcdir)/'`src/fortran/lmpar.f
1001
1002 ctcab.lo: src/fortran/ctcab.f
1003         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o ctcab.lo `test -f 'src/fortran/ctcab.f' || echo '$(srcdir)/'`src/fortran/ctcab.f
1004
1005 n1gc2b.lo: src/fortran/n1gc2b.f
1006         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o n1gc2b.lo `test -f 'src/fortran/n1gc2b.f' || echo '$(srcdir)/'`src/fortran/n1gc2b.f
1007
1008 fprf2.lo: src/fortran/fprf2.f
1009         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fprf2.lo `test -f 'src/fortran/fprf2.f' || echo '$(srcdir)/'`src/fortran/fprf2.f
1010
1011 fremf1.lo: src/fortran/fremf1.f
1012         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fremf1.lo `test -f 'src/fortran/fremf1.f' || echo '$(srcdir)/'`src/fortran/fremf1.f
1013
1014 enorm.lo: src/fortran/enorm.f
1015         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o enorm.lo `test -f 'src/fortran/enorm.f' || echo '$(srcdir)/'`src/fortran/enorm.f
1016
1017 icse.lo: src/fortran/icse.f
1018         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o icse.lo `test -f 'src/fortran/icse.f' || echo '$(srcdir)/'`src/fortran/icse.f
1019
1020 rlbd.lo: src/fortran/rlbd.f
1021         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o rlbd.lo `test -f 'src/fortran/rlbd.f' || echo '$(srcdir)/'`src/fortran/rlbd.f
1022
1023 qform.lo: src/fortran/qform.f
1024         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o qform.lo `test -f 'src/fortran/qform.f' || echo '$(srcdir)/'`src/fortran/qform.f
1025
1026 calmaj.lo: src/fortran/calmaj.f
1027         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o calmaj.lo `test -f 'src/fortran/calmaj.f' || echo '$(srcdir)/'`src/fortran/calmaj.f
1028
1029 calbx.lo: src/fortran/calbx.f
1030         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o calbx.lo `test -f 'src/fortran/calbx.f' || echo '$(srcdir)/'`src/fortran/calbx.f
1031
1032 r1mpyq.lo: src/fortran/r1mpyq.f
1033         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o r1mpyq.lo `test -f 'src/fortran/r1mpyq.f' || echo '$(srcdir)/'`src/fortran/r1mpyq.f
1034
1035 rednor.lo: src/fortran/rednor.f
1036         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o rednor.lo `test -f 'src/fortran/rednor.f' || echo '$(srcdir)/'`src/fortran/rednor.f
1037
1038 zgcbd.lo: src/fortran/zgcbd.f
1039         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o zgcbd.lo `test -f 'src/fortran/zgcbd.f' || echo '$(srcdir)/'`src/fortran/zgcbd.f
1040
1041 writebuf.lo: src/fortran/writebuf.f
1042         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o writebuf.lo `test -f 'src/fortran/writebuf.f' || echo '$(srcdir)/'`src/fortran/writebuf.f
1043
1044 dpofa.lo: src/fortran/dpofa.f
1045         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dpofa.lo `test -f 'src/fortran/dpofa.f' || echo '$(srcdir)/'`src/fortran/dpofa.f
1046
1047 qpgen1sci.lo: src/fortran/qpgen1sci.f
1048         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o qpgen1sci.lo `test -f 'src/fortran/qpgen1sci.f' || echo '$(srcdir)/'`src/fortran/qpgen1sci.f
1049
1050 util.lo: src/fortran/util.f
1051         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o util.lo `test -f 'src/fortran/util.f' || echo '$(srcdir)/'`src/fortran/util.f
1052
1053 sci_f_semidef.lo: sci_gateway/fortran/sci_f_semidef.f
1054         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_semidef.lo `test -f 'sci_gateway/fortran/sci_f_semidef.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_semidef.f
1055
1056 sci_f_fsolve.lo: sci_gateway/fortran/sci_f_fsolve.f
1057         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_fsolve.lo `test -f 'sci_gateway/fortran/sci_f_fsolve.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_fsolve.f
1058
1059 sci_f_optim.lo: sci_gateway/fortran/sci_f_optim.f
1060         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_optim.lo `test -f 'sci_gateway/fortran/sci_f_optim.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_optim.f
1061
1062 boptim.lo: sci_gateway/fortran/boptim.f
1063         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o boptim.lo `test -f 'sci_gateway/fortran/boptim.f' || echo '$(srcdir)/'`sci_gateway/fortran/boptim.f
1064
1065 bsolv.lo: sci_gateway/fortran/bsolv.f
1066         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o bsolv.lo `test -f 'sci_gateway/fortran/bsolv.f' || echo '$(srcdir)/'`sci_gateway/fortran/bsolv.f
1067
1068 bjlsqrsolv.lo: sci_gateway/fortran/bjlsqrsolv.f
1069         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o bjlsqrsolv.lo `test -f 'sci_gateway/fortran/bjlsqrsolv.f' || echo '$(srcdir)/'`sci_gateway/fortran/bjlsqrsolv.f
1070
1071 blsqrsolv.lo: sci_gateway/fortran/blsqrsolv.f
1072         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o blsqrsolv.lo `test -f 'sci_gateway/fortran/blsqrsolv.f' || echo '$(srcdir)/'`sci_gateway/fortran/blsqrsolv.f
1073
1074 bjsolv.lo: sci_gateway/fortran/bjsolv.f
1075         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o bjsolv.lo `test -f 'sci_gateway/fortran/bjsolv.f' || echo '$(srcdir)/'`sci_gateway/fortran/bjsolv.f
1076
1077 intlsqrsolve.lo: sci_gateway/fortran/intlsqrsolve.f
1078         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intlsqrsolve.lo `test -f 'sci_gateway/fortran/intlsqrsolve.f' || echo '$(srcdir)/'`sci_gateway/fortran/intlsqrsolve.f
1079
1080 Ex-optim.lo: sci_gateway/fortran/Ex-optim.f
1081         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o Ex-optim.lo `test -f 'sci_gateway/fortran/Ex-optim.f' || echo '$(srcdir)/'`sci_gateway/fortran/Ex-optim.f
1082
1083 Ex-fsolve.lo: sci_gateway/fortran/Ex-fsolve.f
1084         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o Ex-fsolve.lo `test -f 'sci_gateway/fortran/Ex-fsolve.f' || echo '$(srcdir)/'`sci_gateway/fortran/Ex-fsolve.f
1085
1086 Ex-lsqrsolve.lo: sci_gateway/fortran/Ex-lsqrsolve.f
1087         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o Ex-lsqrsolve.lo `test -f 'sci_gateway/fortran/Ex-lsqrsolve.f' || echo '$(srcdir)/'`sci_gateway/fortran/Ex-lsqrsolve.f
1088
1089 mostlyclean-libtool:
1090         -rm -f *.lo
1091
1092 clean-libtool:
1093         -rm -rf .libs _libs
1094 install-libscioptimization_la_etcDATA: $(libscioptimization_la_etc_DATA)
1095         @$(NORMAL_INSTALL)
1096         test -z "$(libscioptimization_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libscioptimization_la_etcdir)"
1097         @list='$(libscioptimization_la_etc_DATA)'; for p in $$list; do \
1098           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1099           f=$(am__strip_dir) \
1100           echo " $(libscioptimization_la_etcDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(libscioptimization_la_etcdir)/$$f'"; \
1101           $(libscioptimization_la_etcDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(libscioptimization_la_etcdir)/$$f"; \
1102         done
1103
1104 uninstall-libscioptimization_la_etcDATA:
1105         @$(NORMAL_UNINSTALL)
1106         @list='$(libscioptimization_la_etc_DATA)'; for p in $$list; do \
1107           f=$(am__strip_dir) \
1108           echo " rm -f '$(DESTDIR)$(libscioptimization_la_etcdir)/$$f'"; \
1109           rm -f "$(DESTDIR)$(libscioptimization_la_etcdir)/$$f"; \
1110         done
1111 install-libscioptimization_la_rootDATA: $(libscioptimization_la_root_DATA)
1112         @$(NORMAL_INSTALL)
1113         test -z "$(libscioptimization_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libscioptimization_la_rootdir)"
1114         @list='$(libscioptimization_la_root_DATA)'; for p in $$list; do \
1115           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1116           f=$(am__strip_dir) \
1117           echo " $(libscioptimization_la_rootDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(libscioptimization_la_rootdir)/$$f'"; \
1118           $(libscioptimization_la_rootDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(libscioptimization_la_rootdir)/$$f"; \
1119         done
1120
1121 uninstall-libscioptimization_la_rootDATA:
1122         @$(NORMAL_UNINSTALL)
1123         @list='$(libscioptimization_la_root_DATA)'; for p in $$list; do \
1124           f=$(am__strip_dir) \
1125           echo " rm -f '$(DESTDIR)$(libscioptimization_la_rootdir)/$$f'"; \
1126           rm -f "$(DESTDIR)$(libscioptimization_la_rootdir)/$$f"; \
1127         done
1128 install-libscioptimization_la_sci_gatewayDATA: $(libscioptimization_la_sci_gateway_DATA)
1129         @$(NORMAL_INSTALL)
1130         test -z "$(libscioptimization_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libscioptimization_la_sci_gatewaydir)"
1131         @list='$(libscioptimization_la_sci_gateway_DATA)'; for p in $$list; do \
1132           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1133           f=$(am__strip_dir) \
1134           echo " $(libscioptimization_la_sci_gatewayDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(libscioptimization_la_sci_gatewaydir)/$$f'"; \
1135           $(libscioptimization_la_sci_gatewayDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(libscioptimization_la_sci_gatewaydir)/$$f"; \
1136         done
1137
1138 uninstall-libscioptimization_la_sci_gatewayDATA:
1139         @$(NORMAL_UNINSTALL)
1140         @list='$(libscioptimization_la_sci_gateway_DATA)'; for p in $$list; do \
1141           f=$(am__strip_dir) \
1142           echo " rm -f '$(DESTDIR)$(libscioptimization_la_sci_gatewaydir)/$$f'"; \
1143           rm -f "$(DESTDIR)$(libscioptimization_la_sci_gatewaydir)/$$f"; \
1144         done
1145 install-nobase_libscioptimization_la_demosDATA: $(nobase_libscioptimization_la_demos_DATA)
1146         @$(NORMAL_INSTALL)
1147         test -z "$(libscioptimization_la_demosdir)" || $(MKDIR_P) "$(DESTDIR)$(libscioptimization_la_demosdir)"
1148         @$(am__vpath_adj_setup) \
1149         list='$(nobase_libscioptimization_la_demos_DATA)'; for p in $$list; do \
1150           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1151           $(am__vpath_adj) \
1152           echo " $(nobase_libscioptimization_la_demosDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(libscioptimization_la_demosdir)/$$f'"; \
1153           $(nobase_libscioptimization_la_demosDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(libscioptimization_la_demosdir)/$$f"; \
1154         done
1155
1156 uninstall-nobase_libscioptimization_la_demosDATA:
1157         @$(NORMAL_UNINSTALL)
1158         @$(am__vpath_adj_setup) \
1159         list='$(nobase_libscioptimization_la_demos_DATA)'; for p in $$list; do \
1160           $(am__vpath_adj) \
1161           echo " rm -f '$(DESTDIR)$(libscioptimization_la_demosdir)/$$f'"; \
1162           rm -f "$(DESTDIR)$(libscioptimization_la_demosdir)/$$f"; \
1163         done
1164 install-libscioptimization_la_includeHEADERS: $(libscioptimization_la_include_HEADERS)
1165         @$(NORMAL_INSTALL)
1166         test -z "$(libscioptimization_la_includedir)" || $(MKDIR_P) "$(DESTDIR)$(libscioptimization_la_includedir)"
1167         @list='$(libscioptimization_la_include_HEADERS)'; for p in $$list; do \
1168           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1169           f=$(am__strip_dir) \
1170           echo " $(libscioptimization_la_includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(libscioptimization_la_includedir)/$$f'"; \
1171           $(libscioptimization_la_includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(libscioptimization_la_includedir)/$$f"; \
1172         done
1173
1174 uninstall-libscioptimization_la_includeHEADERS:
1175         @$(NORMAL_UNINSTALL)
1176         @list='$(libscioptimization_la_include_HEADERS)'; for p in $$list; do \
1177           f=$(am__strip_dir) \
1178           echo " rm -f '$(DESTDIR)$(libscioptimization_la_includedir)/$$f'"; \
1179           rm -f "$(DESTDIR)$(libscioptimization_la_includedir)/$$f"; \
1180         done
1181
1182 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
1183         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1184         unique=`for i in $$list; do \
1185             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1186           done | \
1187           $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
1188               END { if (nonempty) { for (i in files) print i; }; }'`; \
1189         mkid -fID $$unique
1190 tags: TAGS
1191
1192 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1193                 $(TAGS_FILES) $(LISP)
1194         tags=; \
1195         here=`pwd`; \
1196         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1197         unique=`for i in $$list; do \
1198             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1199           done | \
1200           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1201               END { if (nonempty) { for (i in files) print i; }; }'`; \
1202         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
1203           test -n "$$unique" || unique=$$empty_fix; \
1204           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1205             $$tags $$unique; \
1206         fi
1207 ctags: CTAGS
1208 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1209                 $(TAGS_FILES) $(LISP)
1210         tags=; \
1211         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1212         unique=`for i in $$list; do \
1213             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1214           done | \
1215           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1216               END { if (nonempty) { for (i in files) print i; }; }'`; \
1217         test -z "$(CTAGS_ARGS)$$tags$$unique" \
1218           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1219              $$tags $$unique
1220
1221 GTAGS:
1222         here=`$(am__cd) $(top_builddir) && pwd` \
1223           && cd $(top_srcdir) \
1224           && gtags -i $(GTAGS_ARGS) $$here
1225
1226 distclean-tags:
1227         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1228
1229 distdir: $(DISTFILES)
1230         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1231         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1232         list='$(DISTFILES)'; \
1233           dist_files=`for file in $$list; do echo $$file; done | \
1234           sed -e "s|^$$srcdirstrip/||;t" \
1235               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1236         case $$dist_files in \
1237           */*) $(MKDIR_P) `echo "$$dist_files" | \
1238                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1239                            sort -u` ;; \
1240         esac; \
1241         for file in $$dist_files; do \
1242           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1243           if test -d $$d/$$file; then \
1244             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1245             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1246               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
1247             fi; \
1248             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
1249           else \
1250             test -f $(distdir)/$$file \
1251             || cp -p $$d/$$file $(distdir)/$$file \
1252             || exit 1; \
1253           fi; \
1254         done
1255 check-am: all-am
1256         $(MAKE) $(AM_MAKEFLAGS) check-local
1257 check: check-am
1258 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1259 installdirs:
1260         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscioptimization_la_etcdir)" "$(DESTDIR)$(libscioptimization_la_rootdir)" "$(DESTDIR)$(libscioptimization_la_sci_gatewaydir)" "$(DESTDIR)$(libscioptimization_la_demosdir)" "$(DESTDIR)$(libscioptimization_la_includedir)"; do \
1261           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1262         done
1263 install: install-am
1264 install-exec: install-exec-am
1265 install-data: install-data-am
1266 uninstall: uninstall-am
1267
1268 install-am: all-am
1269         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1270
1271 installcheck: installcheck-am
1272 install-strip:
1273         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1274           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1275           `test -z '$(STRIP)' || \
1276             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1277 mostlyclean-generic:
1278
1279 clean-generic:
1280
1281 distclean-generic:
1282         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1283
1284 maintainer-clean-generic:
1285         @echo "This command is intended for maintainers to use"
1286         @echo "it deletes files that may require special tools to rebuild."
1287 clean: clean-am
1288
1289 clean-am: clean-generic clean-libtool clean-local \
1290         clean-pkglibLTLIBRARIES mostlyclean-am
1291
1292 distclean: distclean-am
1293         -rm -rf ./$(DEPDIR)
1294         -rm -f Makefile
1295 distclean-am: clean-am distclean-compile distclean-generic \
1296         distclean-tags
1297
1298 dvi: dvi-am
1299
1300 dvi-am:
1301
1302 html: html-am
1303
1304 info: info-am
1305
1306 info-am:
1307
1308 install-data-am: install-data-local \
1309         install-libscioptimization_la_etcDATA \
1310         install-libscioptimization_la_includeHEADERS \
1311         install-libscioptimization_la_rootDATA \
1312         install-libscioptimization_la_sci_gatewayDATA \
1313         install-nobase_libscioptimization_la_demosDATA
1314
1315 install-dvi: install-dvi-am
1316
1317 install-exec-am: install-pkglibLTLIBRARIES
1318
1319 install-html: install-html-am
1320
1321 install-html-am: install-html-local
1322
1323 install-info: install-info-am
1324
1325 install-man:
1326
1327 install-pdf: install-pdf-am
1328
1329 install-ps: install-ps-am
1330
1331 installcheck-am:
1332
1333 maintainer-clean: maintainer-clean-am
1334         -rm -rf ./$(DEPDIR)
1335         -rm -f Makefile
1336 maintainer-clean-am: distclean-am maintainer-clean-generic
1337
1338 mostlyclean: mostlyclean-am
1339
1340 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1341         mostlyclean-libtool
1342
1343 pdf: pdf-am
1344
1345 pdf-am:
1346
1347 ps: ps-am
1348
1349 ps-am:
1350
1351 uninstall-am: uninstall-libscioptimization_la_etcDATA \
1352         uninstall-libscioptimization_la_includeHEADERS \
1353         uninstall-libscioptimization_la_rootDATA \
1354         uninstall-libscioptimization_la_sci_gatewayDATA \
1355         uninstall-nobase_libscioptimization_la_demosDATA \
1356         uninstall-pkglibLTLIBRARIES
1357
1358 .MAKE: install-am install-strip
1359
1360 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1361         clean clean-generic clean-libtool clean-local \
1362         clean-pkglibLTLIBRARIES ctags distclean distclean-compile \
1363         distclean-generic distclean-libtool distclean-tags distdir dvi \
1364         dvi-am html html-am info info-am install install-am \
1365         install-data install-data-am install-data-local install-dvi \
1366         install-dvi-am install-exec install-exec-am install-html \
1367         install-html-am install-html-local install-info \
1368         install-info-am install-libscioptimization_la_etcDATA \
1369         install-libscioptimization_la_includeHEADERS \
1370         install-libscioptimization_la_rootDATA \
1371         install-libscioptimization_la_sci_gatewayDATA install-man \
1372         install-nobase_libscioptimization_la_demosDATA install-pdf \
1373         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1374         install-ps-am install-strip installcheck installcheck-am \
1375         installdirs maintainer-clean maintainer-clean-generic \
1376         mostlyclean mostlyclean-compile mostlyclean-generic \
1377         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1378         uninstall-am uninstall-libscioptimization_la_etcDATA \
1379         uninstall-libscioptimization_la_includeHEADERS \
1380         uninstall-libscioptimization_la_rootDATA \
1381         uninstall-libscioptimization_la_sci_gatewayDATA \
1382         uninstall-nobase_libscioptimization_la_demosDATA \
1383         uninstall-pkglibLTLIBRARIES
1384
1385
1386 # This target enables tests for Scilab
1387 check-local: $(top_builddir)/scilab-bin
1388         @if test -f build.xml; then \
1389                 $(ANT) checkstyle; \
1390         fi;\
1391         COMMAND="test_run('$(modulename)');quit";\
1392         export LANG=C;\
1393         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1394 @GUI_TRUE@java:
1395 # Some configurations needs to export JAVA_HOME in the current env
1396 @GUI_TRUE@      @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1397 @GUI_TRUE@      if test -f build.xml; then \
1398 @GUI_TRUE@              $(ANT) jar; \
1399 @GUI_TRUE@      fi
1400
1401 @GUI_TRUE@clean-java:
1402 # Some configurations needs to export JAVA_HOME in the current env
1403 @GUI_TRUE@      @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1404 @GUI_TRUE@      if test -f build.xml; then \
1405 @GUI_TRUE@              $(ANT) clean; \
1406 @GUI_TRUE@      fi
1407 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1408 # We call the target swig-build on the variable SWIG_WRAPPERS
1409
1410 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1411 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1412 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1413 @SWIG_TRUE@     if test ! -z "$(SWIG_WRAPPERS)"; then \
1414 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1415 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1416 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1417 @SWIG_TRUE@             done; \
1418 @SWIG_TRUE@     fi
1419
1420 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1421 # We call the target swig-build on the variable SWIG_WRAPPERS
1422
1423 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1424 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1425 @GIWS_TRUE@     if test ! -z "$(GIWS_WRAPPERS)"; then \
1426 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1427 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1428 @GIWS_TRUE@                     $(GIWS_BIN) --output-dir $$GIWS_OUTPUTDIR --description-file $$file; \
1429 @GIWS_TRUE@             done; \
1430 @GIWS_TRUE@     fi
1431
1432 macros:
1433         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1434                 echo "Error : Cannot build $< : Scilab has not been built"; \
1435         else \
1436                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1437         fi)
1438
1439 # Removes the macros
1440 clean-macros:
1441 # Removes macros (*.bin generated from .sci)
1442         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1443                 echo "rm -f $(srcdir)/$$dir/$(MACROBINMASK)"; \
1444                 rm -f $(srcdir)/$$dir/$(MACROBINMASK); \
1445         done
1446
1447 all-local: $(TARGETS_ALL)
1448
1449 .sci.bin:
1450         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1451         echo "Error : Cannot build $< : Scilab has not been build"; \
1452         else \
1453         echo "Creating $@"; \
1454         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1455         fi )
1456
1457 install-html-local:
1458         @echo "-- Install of htm help files --"; \
1459         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir); \
1460         for dir in $(DOCDIRS) ; do \
1461                 if test -d $$dir; then \
1462                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1463                         if ls -lLd $(srcdir)/$$dir/$(DOCMASK) >/dev/null 2>&1; then \
1464                                 for file in $(srcdir)/$$dir/$(DOCMASK) ; do \
1465                                         echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$$dir" ; \
1466                                         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$$dir ; \
1467                                 done ; \
1468                         fi; \
1469                         if ls -lLd $(srcdir)/$$dir/$(HELP_CHAPTERFILE) >/dev/null 2>&1; then \
1470                                 for file in $(srcdir)/$$dir/$(HELP_CHAPTERFILE) ; do \
1471                                         echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$$dir" ; \
1472                                         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$$dir ; \
1473                                 done ; \
1474                         fi; \
1475                 fi; \
1476         done
1477         @echo "-- Install of images help files --"; \
1478         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir); \
1479         for dir in $(DOCIMGDIRS) ; do \
1480          if test -d $$dir; then \
1481           $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1482                 if ls -lLd $(srcdir)/$$dir/$(DOCIMGMASK) >/dev/null 2>&1; then \
1483                   for file in $(srcdir)/$$dir/$(DOCIMGMASK) ; do \
1484                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$$dir" ; \
1485                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$$dir ; \
1486                   done ; \
1487                 fi; \
1488          fi; \
1489         done
1490
1491 # If the user wants the help sources to be installed
1492 @INSTALL_HELP_XML_TRUE@ @echo "-- Install of XML sources of help files --"; \
1493 @INSTALL_HELP_XML_TRUE@ for dir in $(DOCDIRS) ; do \
1494 @INSTALL_HELP_XML_TRUE@  if test -d $$dir; then \
1495 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1496 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/$$dir/$(DOCMASKXML) >/dev/null 2>&1; then \
1497 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/$$dir/$(DOCMASKXML) ; do \
1498 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$$dir" ; \
1499 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$$dir ; \
1500 @INSTALL_HELP_XML_TRUE@           done ; \
1501 @INSTALL_HELP_XML_TRUE@         fi; \
1502 @INSTALL_HELP_XML_TRUE@  fi; \
1503 @INSTALL_HELP_XML_TRUE@ done
1504 install-data-local:
1505 # Install the tests
1506         @echo "-- Install tests (if any) --"; \
1507         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1508           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1509                 if test -d $(srcdir)/$$dir/; then \
1510                   for file in `ls -1 $(srcdir)/$$dir/* 2>/dev/null`; do \
1511                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1512                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1513                   done; \
1514                 fi; \
1515         done
1516 # Install the macros
1517         @echo "-- Install macros (if any) --"; \
1518         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1519           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1520                 if test -d $(srcdir)/$$dir/; then \
1521                   for file in `ls -1 $(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib 2>/dev/null`; do \
1522                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1523                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1524                   done; \
1525                 fi; \
1526         done
1527 # Install java files (.jar)
1528         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1529         echo "-- Install jar files --"; \
1530     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1531           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1532                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1533                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1534           done ; \
1535         fi
1536
1537 ########### CLEAN ###################
1538 # Clean macros and help (generated automatically by Scilab)
1539 @GUI_TRUE@clean-local: clean-java clean-macros
1540 @GUI_FALSE@clean-local: clean-macros
1541 # Removes documentation (*.htm generated from .xml) 
1542         @for dir in $(DOCDIRS) ; do \
1543                  if test -d $$dir -a -z "$(DISABLE_HELP_CLEAN)"; then \
1544                         echo "rm -f $(srcdir)/$$dir/$(DOCMASK)"; \
1545                         rm -f $(srcdir)/$$dir/$(DOCMASK); \
1546                 fi; \
1547         done
1548
1549 .PHONY: macros java swig giws
1550 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1551 # Otherwise a system limit (for SysV at least) may be exceeded.
1552 .NOEXPORT: